Create Pipeline Run
curl --request POST \
--url https://api.example.com/pipelines/{pipeline_id}/runs/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_job_name": "<string>",
"end_job_name": "<string>",
"pipeline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resume_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/runs/"
payload = {
"start_job_name": "<string>",
"end_job_name": "<string>",
"pipeline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resume_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_job_name: '<string>',
end_job_name: '<string>',
pipeline_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resume_from_checkpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
warm_start_from_checkpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
actuator_idempotency_key: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
actuator_conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
actuator_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/pipelines/{pipeline_id}/runs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/pipelines/{pipeline_id}/runs/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_job_name' => '<string>',
'end_job_name' => '<string>',
'pipeline_version_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'resume_from_checkpoint_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'warm_start_from_checkpoint_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'actuator_idempotency_key' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'actuator_conversation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'actuator_run_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/pipelines/{pipeline_id}/runs/"
payload := strings.NewReader("{\n \"start_job_name\": \"<string>\",\n \"end_job_name\": \"<string>\",\n \"pipeline_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resume_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"warm_start_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_idempotency_key\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_conversation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/pipelines/{pipeline_id}/runs/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_job_name\": \"<string>\",\n \"end_job_name\": \"<string>\",\n \"pipeline_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resume_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"warm_start_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_idempotency_key\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_conversation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/pipelines/{pipeline_id}/runs/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_job_name\": \"<string>\",\n \"end_job_name\": \"<string>\",\n \"pipeline_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resume_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"warm_start_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_idempotency_key\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_conversation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_config_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"run_steps": [
{
"name": "<string>",
"status": "Succeeded",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"resume_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}pipeline-runs
Create Pipeline Run
POST
/
pipelines
/
{pipeline_id}
/
runs
/
Create Pipeline Run
curl --request POST \
--url https://api.example.com/pipelines/{pipeline_id}/runs/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_job_name": "<string>",
"end_job_name": "<string>",
"pipeline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resume_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/runs/"
payload = {
"start_job_name": "<string>",
"end_job_name": "<string>",
"pipeline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resume_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actuator_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_job_name: '<string>',
end_job_name: '<string>',
pipeline_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resume_from_checkpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
warm_start_from_checkpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
actuator_idempotency_key: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
actuator_conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
actuator_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/pipelines/{pipeline_id}/runs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/pipelines/{pipeline_id}/runs/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_job_name' => '<string>',
'end_job_name' => '<string>',
'pipeline_version_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'resume_from_checkpoint_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'warm_start_from_checkpoint_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'actuator_idempotency_key' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'actuator_conversation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'actuator_run_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/pipelines/{pipeline_id}/runs/"
payload := strings.NewReader("{\n \"start_job_name\": \"<string>\",\n \"end_job_name\": \"<string>\",\n \"pipeline_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resume_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"warm_start_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_idempotency_key\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_conversation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/pipelines/{pipeline_id}/runs/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_job_name\": \"<string>\",\n \"end_job_name\": \"<string>\",\n \"pipeline_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resume_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"warm_start_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_idempotency_key\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_conversation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/pipelines/{pipeline_id}/runs/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_job_name\": \"<string>\",\n \"end_job_name\": \"<string>\",\n \"pipeline_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resume_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"warm_start_from_checkpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_idempotency_key\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_conversation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"actuator_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_config_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"run_steps": [
{
"name": "<string>",
"status": "Succeeded",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"resume_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Browser-safe run state.
The internal run model contains the Argo manifest, runtime configuration, physical workflow name and pipeline source. Those fields are intentionally unavailable from public endpoints; builders read source/configuration from the permission-gated pipeline configuration response instead.
Show child attributes
Show child attributes